Bug 184274 - KPat fails to save game to file
Summary: KPat fails to save game to file
Status: RESOLVED FIXED
Alias: None
Product: kpat
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Stephan Kulow
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-14 03:54 UTC by Parker Coates
Modified: 2009-02-24 16:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Parker Coates 2009-02-14 03:54:09 UTC
Version:           Version 3.1 Using (KDE 4.2.62 (KDE 4.3 >= 20090204)) (using Devel)
OS:                Linux
Installed from:    Compiled sources

Using the Game > Save menu entry doesn't actually created a saved game file.

No errors ore warnings are produced. The only console output during the save is "kpat(6133) KSharedUiServerProxy::KSharedUiServerProxy: kuiserver registered".
Comment 1 Parker Coates 2009-02-22 20:04:16 UTC
My guess is that this broke in revision 904799 [1] as that's been the only change to the saving logic in quite some time.

[1] http://websvn.kde.org/?view=rev&revision=904799
Comment 2 Stephan Kulow 2009-02-24 16:21:11 UTC
SVN commit 930981 by coolo:

fixed the save game functionality
BUG: 184274


 M  +3 -1      dealer.cpp  
 M  +0 -3      view.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=930981